package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "jlr_role_authority")
public class JLRAuthority {

    private Integer id;//编号
    private Integer menu_id;//菜单编号
    private Integer role_id;//角色编号
    private Date    update_time;//更新时间

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    @Column(name = "menu_id")
    public Integer getMenu_id() {
        return menu_id;
    }

    public void setMenu_id(Integer menu_id) {
        this.menu_id = menu_id;
    }
    @Column(name = "role_id")
    public Integer getRole_id() {
        return role_id;
    }

    public void setRole_id(Integer role_id) {
        this.role_id = role_id;
    }

    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Override
    public String toString() {
        return "JLRAuthority{" +
                "id=" + id +
                ", menu_id=" + menu_id +
                ", role_id=" + role_id +
                ", update_time=" + update_time +
                '}';
    }
}
